Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 236917 - media-libs/mesa-7.1: ttm always disabled
Summary: media-libs/mesa-7.1: ttm always disabled
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-07 03:26 UTC by Tobias Jakobi
Modified: 2008-10-03 16:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Jakobi 2008-09-07 03:26:03 UTC
Hi there!

I was just going to upgrade from a older git snapshot to mesa-7.1 and now I see that TTM is always disabled in the ebuild.

Why is that? GEM isn't ready yet, the only other acceleration path for my Intel i915 chip is TTM. Without it all 3D applications are dead slow, because glDrawPixels/glReadPixels are not accelerated at all. Neither are PBO nor framebuffer objects.

Can we Intel users at least get a use flag to enable TTM? Nobody knows when the next mesa version is going to come out and I really don't wanna wait until then with gaming.

Greets,
Tobias
Comment 1 Rémi Cardona gentoo-dev 2008-09-07 16:04:11 UTC
TTM is dead, long live TTM!

Seriously though, if you want the next cool acceleration stuff (which should work though, it's supposed to be in a mergeable state), you'll need to fetch all the Xorg stack from git. Using Donnie's "x11" overlay is probably a good idea.

As far as I'm concerned, TTM was never officially released so I have no plans to back port and/or support something that nobody else really cares about.

Feel free to re-enable TTM in an overlay though :)
Comment 2 Tobias Jakobi 2008-09-07 18:09:20 UTC
(In reply to comment #1)
> Seriously though, if you want the next cool acceleration stuff (which should
> work though, it's supposed to be in a mergeable state),
No, just TTM. GEM requieres too many (not working) patches to the kernel sources or grabbing anholt's tree from fdo, which doesn't compile for me.

> you'll need to fetch
> all the Xorg stack from git.
I just downgradeded from all git snapshots to stable releases, except libdrm and x11-drm. I'm not going to change all the stack again.

> Using Donnie's "x11" overlay is probably a good
> idea.
Shouldn't work, since x11-drm doesn't create any i915 modules if OS_HAS_GEM isn't defined. Plus it's not GEM I want.

> As far as I'm concerned, TTM was never officially released so I have no plans
> to back port and/or support something that nobody else really cares about.
> 
> Feel free to re-enable TTM in an overlay though :)
I'm currently doing this. So another year for i915 users without any serious 3D acceleration.
Comment 3 Tobias Jakobi 2008-09-17 14:27:14 UTC
Small update, I posted a small guide on the Gentoo forums:
http://forums.gentoo.org/viewtopic-t-706953.html

Maybe it works for some people.